@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=MonteCarlo&display=swap');

:root {
  --url-fondo2: url('https://cdn.pixabay.com/photo/2021/11/12/00/53/movie-projector-6787644_960_720.jpg');
  --url-fondo: url('https://images.pexels.com/photos/414781/pexels-photo-414781.jpeg');

  --color-fondo: #1a1a1a;


  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html {
  font-size: 16px;
}

.fs-7 {
  font-size: 0.8rem;
}

.fs-8 {
  font-size: 0.5rem;
}

.fs-9 {
  font-size: 0.3rem;
}

.rochester-regular {
  font-family: "Rochester", serif;
  font-weight: 400;
  font-style: normal;
}

/* #root {
  flex-grow: 1;
} */

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  border-color: #646cff;
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

.border-dashed {
  border-style: dashed !important;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}

/* .listaFotos {
  display: grid;
  gap: 1rem;
  width: 100%;
  grid-template-columns: repeat(4 , 1fr);
  align-items: baseline;
  justify-items: center;
} */

 /* .root {
  display: grid;
  grid-template-columns: 1fr 5fr;
 } */

.gestionDBGrid {
  background-color: #000000a1;
  width: 90vw;
}

#demostracion {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.description {
  display: flex;
  justify-content: center;
  padding: 20px;
  font-size: large;
}

.preview {
  display: flex;
  justify-content: center;
  max-height: 50%;
  width: auto;
}

.imagen-preview {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.boton {
  
}

.cursor-pointer {
  cursor: pointer;
}

.body {
  display: flex;
  flex-direction: column;
  background-image: var(--url-fondo);
  background-repeat: no-repeat;
  background-size: cover;
  background-position-x: center;
  min-height: 100vh;
  margin: 0;
  width: 100vw;
}

.vh-75 {
  height: 75vh;
}

.w-90 {
  width: 90% !important;
}

.header {
  width: 100%;
}

.footerSection {

}

.footer-compacto {
  /* background: rgba(0, 0, 0, 0.5); Fondo semi-transparente para que no pese visualmente */
  background-color: #1a1a1a;
  backdrop-filter: blur(5px);    /* Efecto de desenfoque moderno */
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  color: #fff;
}

.footer-link {
  /* color: rgba(255, 255, 255, 0.8); */
  transition: color 0.3s ease;
  font-size: 0.85rem; /* Tamaño de letra más pequeño */
}

.footer-link:hover {
  color: #0d6efd; /* Color de acento al tocar/pasar el mouse */
}

.footer-link i {
  font-size: 1.1rem; /* Iconos ligeramente más grandes que el texto para fácil clic */
}

main {
  flex: 1;
}

.border-box {
  box-sizing: border-box;
}

/* .card {
  width: 100%;
  height: 650px !important;
  box-sizing: border-box;
  min-width: min-content;
  & img {
    padding: 0.5rem;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
  }
} */

.full-screen {
  position: absolute !important;
}

.boton-menu {
  position: absolute;
  right: 2%;
  top: 13%;
}

.footer {
  
}

.no-resize {
  resize: none;
}

.centrado-horizontal {
  justify-content: center;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}

.listaFotos {
  display: grid;
  margin: auto;
  width: 100%;
  gap: 2rem;
  grid-template-columns: repeat(auto-fill , minmax(400px ,1fr));
}

.card-style {
  box-shadow: 0 0 0 5px #ffffff80;
}

.cursor-pointer {
  cursor: pointer;
}

.imagen-template {
    padding: 0.5rem;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

.carrusel-seleccion {
  width: 50%;
}

.header {
  /* background-image: url('https://cdn.pixabay.com/photo/2021/11/12/00/53/movie-projector-6787644_960_720.jpg'); */
  /* background-repeat: no-repeat; */
  /* background-size: cover; */
  /* height: 100%; */
  width: 100%;
  justify-content: center;
}

.glass-effect {
  background: rgba(255, 255, 255, 0.80);
  backdrop-filter: blur(10px); /* Efecto de desenfoque */
  -webkit-backdrop-filter: blur(10px); /* Efecto de desenfoque para Safari */
  border-radius: 10px; /* Bordes redondeados */
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  color: black; /* Texto blanco */
}

.plantillas-grid {
  /* margin-top: 5rem; */
  display: grid;
  width: 100%;
  /* gap: 1rem; */
  grid-template-columns: repeat(auto-fill , minmax(200px ,1fr));
}

.plantilla-seleccionada { 
  border: #646cff;
  border-width: 1rem;
}

.imgCard {
  overflow: hidden;
  height: 100%;
  /* width: 100%; */
}

.avatarFoto {
  position: absolute;
  top: 0;
  left: 0;
}

.logo {
  height: 4rem;
}

@media (max-width: 768px) and (max-height: 1024px){
  .nav {
    padding: 0;
  }

  .main {
    width: 90%;
    margin: 5%;
    padding: 2.5%;
  }

  #pantallaDinamica {
    margin: 0;
  }
}

/* parte de album */
.carousel-container {
  max-width: 500px;
  margin: 20px auto;
}

.object-fit-cover {
  object-fit: cover;
}

.border-dashed {
  border-style: dashed !important;
}

.transition-opacity {
  transition: opacity 0.5s ease-in-out;
}

/* Botones de control del carrusel personalizados si no usas JS de Bootstrap */
.carousel-control-prev, .carousel-control-next {
  background: none;
  border: none;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  padding: 10px;
  cursor: pointer;
  z-index: 10;
}

.carousel-control-prev { left: 10px; }
.carousel-control-next { right: 10px; }

.montecarlo-regular {
  font-family: "MonteCarlo", cursive;
  font-weight: 400;
  font-style: normal;
}

.dancing-script {
  font-family: "Dancing Script", cursive;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.color-dorado {
  color: #D4AF37;
  text-shadow: 0 0 5px rgba(212, 175, 55, 0.5);
}

/* .input-group span {
  background-color: tomato;
} */

.text-indigo {
  color: var(--bs-indigo);
}

.text-purple {
  color: var(--bs-purple);
}

.text-teal {
  color: var(--bs-teal);
}

.dropdown-item:hover {
  background-color: rgba(0, 0, 0, 0.15) !important; /* más oscuro */
  color: white !important;
}

.mt-6 {
  margin-top: 4rem !important;
}

.mt-7 {
  margin-top: 5rem !important;
}

.mt-8 {
  margin-top: 6rem !important;
}

.input:-webkit-autofill,
.input:-webkit-autofill:hover,
.input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0px 1000px white inset;
  -webkit-text-fill-color: black !important;
  transition: background-color 5000s ease-in-out 0s;
}

.input-login:focus-within {
  -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
  box-shadow: 0 0 0 1000px transparent inset !important;
  background-color: transparent !important;
  color: inherit !important;
}

.aparicion-transition-y {
  animation-name: aparicion-y;
  animation-duration: 2s;
}

.aparicion-transition {
  animation-name: aparicion;
  animation-duration: 1s;
}

.aparicion-transition-vibra {
  animation-name: vibrate;
  animation-duration: 2s;
}


@keyframes aparicion-y {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes aparicion {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes aparicion-vibra {
  from {
    opacity: 0;
    transform: rotate(3);
  }
  to {
    opacity: 1;
    transform: rotate(-3);
  }
}

@keyframes vibrate {
  0% {
    transform: translate(0, 0) rotate(0deg);
  }
  10% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  20% {
    transform: translate(-1px, -1px) rotate(-1deg);
  }
  30% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  40% {
    transform: translate(-1px, -1px) rotate(-1deg);
  }
  50% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  60% {
    transform: translate(-1px, -1px) rotate(-1deg);
  }
  70% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  80% {
    transform: translate(-1px, -1px) rotate(-1deg);
  }
  90% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  100% {
    transform: translate(0, 0) rotate(0deg);
  }
}


/* .form-control {
  color: black !important;
  border-color: black !important;
  background-color: white !important;

  button {
    border-color: black !important;
  }
} */
